FixedPartitionAttributesData (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: FixedPartitionAttributesData

Package org.apache.geode.management

# Class FixedPartitionAttributesData

java.lang.Object
org.apache.geode.management.FixedPartitionAttributesData

public class FixedPartitionAttributesData extends Object
Composite date type used to distribute the fixed partition attributes for a `Region`.

Since:
  GemFire 7.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedPartitionAttributesData(String name, boolean primary, int numBucket)`
  This constructor is to be used by internal JMX framework only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the partition.
  `int`
  `getNumBucket()`
  Returns the number of buckets allowed for the partition.
  `boolean`
  `isPrimary()`
  Returns whether this member is the primary for the partition.
  `String`
  `toString()`
  String representation of FixedPartitionAttributesData

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FixedPartitionAttributesData

    @ConstructorProperties({"name","primary","numBucket"}) public FixedPartitionAttributesData(String name, boolean primary, int numBucket)
    This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
    Parameters:
      `name` - the name of the partition
      `primary` - whether this member is the primary for the partition
      `numBucket` - the number of buckets allowed for the partition

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the partition.
    Returns:
      the name of the partition

  - ### isPrimary

    public boolean isPrimary()
    Returns whether this member is the primary for the partition.
    Returns:
      True if this member is the primary, false otherwise.

  - ### getNumBucket

    public int getNumBucket()
    Returns the number of buckets allowed for the partition.
    Returns:
      the number of buckets allowed for the partition

  - ### toString

    public String toString()
    String representation of FixedPartitionAttributesData
    Overrides:
      `toString` in class `Object`